Commit d7f5778e authored by Leo's avatar Leo
Browse files

community/synapse: relax dependency on cryptography

parent 97a94bf1
......@@ -53,6 +53,7 @@ subpackages="$pkgname-openrc"
source="$pkgname-$pkgver.tar.gz::https://github.com/matrix-org/synapse/archive/v$pkgver.tar.gz
synapse.initd
synapse.confd
relax-crypto-dep.patch
"
# secfixes:
......@@ -89,4 +90,5 @@ package() {
sha512sums="6d697507bafba7685ba26c5dec93bec36ab20bc6d71585788c746da326d7be1ab3ac514b29dca09b70dcec7e68a68e092372f861e1c28e1f9b3aeb46d0f8185a synapse-1.30.1.tar.gz
4fa4a7bdd80e3b1af0f546723a64cec3b6014c5d52cfb296c41e831f73f72489bd90a3938831c0fd25cdcb03b6e27b54dfd222e325fb30525c39f5c6996687ff synapse.initd
7c022f0e00c8ac363d6d2e003b6389fb06a3934f68390ebac156cb46bc1366585e6b6cda07b15176bc62a00f5bf21bfda153ff5418b07331257a7075102a6f83 synapse.confd"
7c022f0e00c8ac363d6d2e003b6389fb06a3934f68390ebac156cb46bc1366585e6b6cda07b15176bc62a00f5bf21bfda153ff5418b07331257a7075102a6f83 synapse.confd
a5ea37535b81da9371329faa5791fb025980ba3b7df70fe8c8cfe770625b128f8ecb406a89474e74396d01d70d4e7a62bcef7ff16f0ac92e6acc1291797ca175 relax-crypto-dep.patch"
diff --git a/synapse/python_dependencies.py b/synapse/python_dependencies.py
index 14ddaed..b279101 100644
--- a/synapse/python_dependencies.py
+++ b/synapse/python_dependencies.py
@@ -84,7 +84,7 @@ REQUIREMENTS = [
"typing-extensions>=3.7.4",
# We enforce that we have a `cryptography` version that bundles an `openssl`
# with the latest security patches.
- "cryptography>=3.4.7;python_version>='3.6'",
+ "cryptography",
]
CONDITIONAL_REQUIREMENTS = {
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment